## visad
Class DataShadow

    java.lang.Object
      visad.DataShadow

All Implemented Interfaces:
  Serializable

public class DataShadow
extends Object
implements Serializable

DataShadow is the VisAD class for gathering RealType value ranges and Animation sampling Sets for auto-scaling Displays.

See Also:
  Serialized Form

Field Summary
`(package private) Set` `animationSampling` default Set for Animation sampling, from Field domains in data
`(package private) double[][]` `ranges` ranges of RealType values, dimensioned [2][num_RealTypes] where first index = 0 for min, = 1 for max

Constructor Summary
`(package private)` `DataShadow(double[][] r)` construct a new DataShadow with given ranges array and null animationSampling

Method Summary
`(package private) boolean` `isAnimationSampling(boolean domain)`
`void` `merge(DataShadow shadow)` merge argument DataShadow into this DataShadow
`(package private) void` `setAnimationSampling(Set set, boolean domain)` set or merge a Set into animationSampling, as long as Set is neither FloatSet nor DoubleSet, and this call is for a Field domain

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ranges

    double[][] ranges

  ranges of RealType values, dimensioned [2][num_RealTypes] where first index = 0 for min, = 1 for max

### animationSampling

    Set animationSampling

  default Set for Animation sampling, from Field domains in data

Constructor Detail

### DataShadow

    DataShadow(double[][] r)

  construct a new DataShadow with given ranges array and null animationSampling

Parameters:
  `r` - ranges array

Method Detail

### isAnimationSampling

    boolean isAnimationSampling(boolean domain)

  Parameters:
    `domain` - flag indicating if this call is for Field domain
  Returns:
    flag indicating that animationSampling is non-null and this call is not for a Field domain

### setAnimationSampling

    void setAnimationSampling(Set set,
                              boolean domain)
                        throws VisADException

  set or merge a Set into animationSampling, as long as Set is neither FloatSet nor DoubleSet, and this call is for a Field domain

  Parameters:
    `set` - Set to merge
    `domain` - flag indicating if this call is for Field domain
  Throws:
    `VisADException` - a VisAD error occurred

### merge

    public void merge(DataShadow shadow)
               throws VisADException

  merge argument DataShadow into this DataShadow

  Parameters:
    `shadow` - DataShadow to merge
  Throws:
    `VisADException` - a VisAD error occurred